Skip to Content
SeyloDocs

List a project's services

GET
/api/v1/services.list

Lists the services of a project with their kind, live status, source line, address, nodes, current CPU and memory, and live version. Compose members follow their stack.

Needs services.view on the project. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

projectId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
services*array<>
Example Request
curl -X GET 'https://example.com/api/v1/services.list?projectId=string'
Example Response
{  "services": [    {      "id": "string",      "projectId": "string",      "name": "string",      "kind": "app",      "parentId": "string",      "status": "idle",      "source": {        "type": "github",        "label": "string",        "branch": "string",        "builder": "railpack"      },      "address": "string",      "placements": [        {          "nodeId": "string",          "nodeName": "string",          "replicas": 1        }      ],      "cpuPercent": 0,      "memoryBytes": 0,      "memoryLimitBytes": 0,      "liveDeployment": {        "id": "string",        "label": "string",        "createdAt": "2019-08-24T14:15:22Z"      },      "lastDeployedAt": "2019-08-24T14:15:22Z",      "protected": true,      "templateSlug": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}